<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <style>
        #div1{
            width: 100px;
            height: 100px;
            background-color: #FF0000;
            float: right;
        }
        #div2{
            width: 100px;
            height: 100px;
             background-color: #92ff36;
            float: right;
         }
        #div3{
            width: 100px;
            height: 100px;
              background-color: #010eff;
            clear: both;
            float: right;
          }
        #div4{
            width: 100px;
            height: 100px;
               background-color: #ff21f7;
            clear: both;
            float: left;
           }
        #div5{
            width: 100px;
            height: 100px;
                background-color: #ffee1f;
            clear: both;
            float: left;


            }
        #div6{
            width: 100px;
            height: 100px;
            background-color: #6bfffc;
            float: right;
        }
        #div7{
            width: 100px;
            height: 100px;
            background-color: #bdff9d;
            clear: both;
            margin: auto;
        }


    </style>
</head>
<body>
<div id="div1">1</div>
<div id="div2">2</div>
<div id="div3">3</div>
<div id="div4">4</div>
<div id="div5">5</div>
<div id="div6">6</div>
<div id="div7">7</div>
</body>
</html>